package service

import (
	"strings"
	"time"

	log "github.com/sirupsen/logrus"
)

func (s *Service) IsJoined(userId, chatId int) (joined, premium bool, err error) {
	joined, premium, err = s.msger.ExistGroupChat(int64(userId), int64(chatId))
	if err != nil {
		log.WithError(err).Error("exist group chat error")
		if strings.Contains(err.Error(), "PARTICIPANT_ID_INVALID") {
			return false, false, nil
		}
	}
	return
}

func (s *Service) Active(userId, chatId int) (msgCount int, err error) {
	msgCount, err = s.d.GetUserActiveMsgCount(userId, chatId, int(time.Now().Unix()/86400))
	if err != nil {
		log.WithError(err).Error("get user active msg count error")
	}
	return
}
